.switcher {
    position: absolute;
    top: 50px;
    left: 50%;
    padding: 3px 4px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: none;
    gap: 15px;
    z-index: 2;
}

.switcher__legend {
    position: absolute;
    opacity: 0;
    pointer-events: none;
}

.switcher__radio {
    appearance: none;
    margin: 0;
    width: 32px;
    height: 35px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 27px;
    transition: filter 0.1s ease-in;
    cursor: pointer;
}

.switcher__radio {
    outline: none;
}

.switcher__radio--light {
    background-image: url('../img/sun-svgrepo-com.svg');
    opacity: 0.7;
}

.switcher__radio--auto {
    background-image: url('../img/adn.svg');
    opacity: 0.7;
}

.switcher__radio--dark {
    background-size: 22px;
    background-image: url('../img/moon-solid.svg');
}

.switcher__status {
    position: absolute;
    width: 100%;
    height: 100%;
    padding: 5px;
    z-index: -1;
    box-shadow: 0 0 0 2px rgba(0, 0, 0, 0.5);
    border-radius: 20px;
    background-color: rgba(0, 0, 0, 0.1);
    background-repeat: no-repeat;
    background-image: url('../img/circle-solid.svg');
    background-size: 36px;
    background-position: center;
    transition: background-position 0.2s ease-in;
}

.switcher__radio:focus-visible~.switcher__status {
    box-shadow: 0 0 0 2px rgb(0, 0, 0);
}

.switcher__radio--light:checked~.switcher__status {
    background-position: left 2px center;
}

.switcher__radio--auto~.switcher__status {
    background-position: center center;
}

.switcher__radio--dark:checked~.switcher__status {
    background-position: right 2px center;
}